Bug 819775 - /dev/cdrom broken after kernel(?) upgrade
/dev/cdrom broken after kernel(?) upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 04:08 EDT by J Coenen
Modified: 2012-07-11 13:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:49:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Coenen 2012-05-08 04:08:19 EDT
Description of problem:
After doing an update, the /dev/cdrom links are broken. When booting in previous kernel, everything is OK

Version-Release number of selected component (if applicable):
kernel-2.6.43.2-6.fc15.x86_64
  
Actual results:

(with new kernel)
root ~ #  uname -a
Linux xxx.yyy.zzz 2.6.43.2-6.fc15.x86_64 #1 SMP Sat Apr 21 12:53:32 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

root ~ #  ll /dev/cd*
lrwxrwxrwx 1 root root 3 May  8 09:31 /dev/cdrom2 -> sr0
lrwxrwxrwx 1 root root 3 May  8 09:31 /dev/cdrw2 -> sr0


Expected results:

(with previous kernel)
root ~ #  uname -a
Linux xxx.yyy.zzz 2.6.42.12-1.fc15.x86_64 #1 SMP Tue Mar 20 16:30:08 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

root ~ #  ll /dev/cd*
lrwxrwxrwx 1 root root 3 May  8 09:26 cdrom -> sr0
lrwxrwxrwx 1 root root 3 May  8 09:26 cdrw -> sr0
Comment 1 Josh Boyer 2012-06-07 14:09:43 EDT
Does this happen on every boot?  Can you post the dmesg from a 2.6.43 and 2.6.42 boot?
Comment 2 Josh Boyer 2012-07-11 13:49:03 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.

Note You need to log in before you can comment on or make changes to this bug.